import engine
import MySQLdb
import Numeric

conn = MySQLdb.connect(db='pub')
cursor = conn.cursor()
cursor.execute("""select article_id, title, abstract from article where abstract is not null
                and title is not null and is_obsolete='n'
                """)
docs = map(lambda x:(x[0], x[1] + " " + x[2]), cursor.fetchall())

engine = engine.Engine(docs)
threshold = 0.5

for d in docs:
    id, text = d
    result = engine.search(text)
    if len(result) > 1:
        for hit in result:
            if id != hit:
                print id, hit
